<?php
     ini_set("display_errors", "off"); 
	//Código para incluir las librerias
	 include_once("../src/conexion.php");
	 require_once ("../utils/jpgraph/src/jpgraph.php");
	 require_once ("../utils/jpgraph/src/jpgraph_pie.php");	 
	 require_once ("../utils/jpgraph/src/jpgraph_bar.php");
	
	 
	 //Conexión con el servidor
	  $link=ConectarseServidor();

	 //Conexión con la base de datos
	  ConectarseBaseDatos($link);
 
	  
	  //realiza consulta a la base de datos
	  $sql = "SELECT a.titulo as titulo, a.fecha as fecha, b.id as id, b.nombre as nombre, b.valor as valor FROM encuestas a INNER JOIN opciones b ON a.id = b.id_encuesta WHERE a.id = 1"; 
      $result=mysql_query($sql,$link);
			
	  //define un arreglo
	  $datos = array(); 
	  
	  
      //obtiene los datos (peso)
      while ($row = mysql_fetch_array($result)){
         $datos[] = $row['valor']; //almacenas en un array todos los resultados 
         $titulo  = $row['titulo'];
      }//fin del while  
		
	 
 
    //****************************************************
	//GENERAR GRAFICO DE BARRAS
	//****************************************************

		$grafica = new Graph(500, 400);
		$grafica->img->SetMargin(50,40,20,0);

		/*Define el tipo de escala que va a utilizar y el
		valor minimo y maximo para el eje y*/
		$grafica->SetScale("textlin", 0, 150);
		$leyenda = array("Si","No");
		$grafica->xaxis->SetTickLabels($leyenda); 
		
		// Asigna el titulo de la gráfica
		$grafica->title->Set($titulo);
		
		//Asigna el titulo y la alineacion para el eje y
		$grafica->yaxis->SetTitle("Cantidad","middle");

		//Define una serie, en este caso para un grafico de barras		
		//$datos es el arreglo que obtiene la informacion de la base de datos
		$imc 	  = new BarPlot( $datos );
		
		//Asigna la leyenda para la serie
		$imc->SetLegend('Resultado Encuesta');
		
		//agrega el grafico
		$grafica->Add($imc);
		
		//Muestra el grafico
		$grafica->Stroke();
	
	//****************************************************
 


	
	 //libera memoria
	 mysql_free_result ($result);

		
	 	
?>